arrow-left arrow-right autosave chat checkmark close dashboard fields fingerprint flash hamburger language list lock logotype long-arrow-right marker migrate overviews phone rocket search smiley stamp star stopwatch team twitter

Please read carefully and check if the version of your Zammad system is affected by this vulnerability. Please send information regarding vulnerabilities in Zammad to: security at zammad.com

Security Advisory Details

Vulnerability Descriptions

Global search leaks Knowledge Base drafts to Knowledge Base readers

The result of the global search was not filtered for the correct Knowledge Base permissions. This way a logged in User performing a search might get Knowledge Base Answers as a result that are in the draft state.

Recommended Resolution

This vulnerability is fixed in the latest versions of Zammad and it is recommended to upgrade to one of these.

Fixed releases can be found at:

Or just update your Zammad if installed via OS package manager.

Additional information

Online version of this advisory: https://zammad.com/news/security-advisory-zaa-2020-16

Send all remarks to security issues to security @ zammad.com.